Altimax\Apidae\Core\Entity\SitraMoyenCommunication:
    type: entity
    table: sitra_moyen_communication
    indexes:
        moyen_communication_type:
            columns:
                - moyen_communication_type
        fk_moyen_communication_langue_idx:
            columns:
                - lang_id
        fk_moyen_communication_sitra_id_idx:
            columns:
                - moyen_communication_sitra_id
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        moyenCommunicationSitraId:
            type: integer
            nullable: false
            unsigned: false
            comment: 'identifiant sitra du moyen de comm'
            column: moyen_communication_sitra_id
        coordonnee:
            type: text
            nullable: true
            fixed: false
            comment: ''
        observation:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: ''
    manyToOne:
        lang:
            targetEntity: Altimax\Apidae\Core\Entity\SitraLangue
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                lang_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
        moyenCommunicationType:
            targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                moyen_communication_type:
                    referencedColumnName: id
                    onDelete: SET NULL
            orphanRemoval: false
    manyToMany:
        contact:
            targetEntity: Altimax\Apidae\Core\Entity\SitraContact
            cascade: {  }
            mappedBy: moyenCommunication
            inversedBy: null
            joinTable: null
            orderBy: null
            orphanRemoval: true
            fetch: EXTRA_LAZY
        objet:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
            cascade: [ "persist", "remove" ]
            mappedBy: moyenCommunication
            inversedBy: null
            joinTable: null
            orderBy: null
    lifecycleCallbacks: {  }
